PO_CREATEREF(1)

NAME
po_createref - create IOR stringified references

SYNOPSIS
po_createref -t type_id -pn profile_nb profile_description

DESCRIPTION
po_createref(1) is an utility to create specific IOR stringified references (CORBA IOR, corbaloc or URI). The reference’s components and associated configuration parameters can be specified by using the command line switches of po_createref(1) (see section OPTIONS).

OPTIONS

GIOP/IIOP profile
    -pt iiop -i index -g -cr father_poa -vmj Major -vmn Minor -a Inet_Address -p Port -cn Components_Number {-ct component_id component ce} pe

Policies component
    policies -pol_nb policies_number {-model SERVER_DECLARED|CLIENT -priority value}

Code_Sets component
    -char code_set -s supported_number {code_set}-wchar code_set -s supported_number {code_set}

SSL component
    ssl_trans -requires value -supports value -p port_number

Alternate Address component
    alternate_address -a inet_address -p port_number

AUTHOR
This manual page was written by Reto Buerki <reet@codelabs.ch> for the Debian GNU/Linux system (but may be used by others).

RESOURCES
Polyorb User Manual: http://www.adacore.com/wp-content/files/auto_update/polyorb-docs/polyorb_ug.html/

SEE ALSO
po_catref(1).